Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.demo
Class DemoInterruptedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.netbeans.jemmy.JemmyException
                              |
                              +--org.netbeans.jemmy.TestCompletedException
                                    |
                                    +--org.netbeans.jemmy.demo.DemoInterruptedException

All Implemented Interfaces:
  java.io.Serializable

public class DemoInterruptedException
extends TestCompletedException

Exception is throught if test (demo) execution has been interrupted (CommentWindow.isInterrupted() returned true).

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  Serialized Form

Constructor Summary
`DemoInterruptedException(java.lang.String description)` Constructs a DemoInterruptedException object.

Method Summary
`void` | `printStackTrace()` Prints stack trace into System.out.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints stack trace.

Methods inherited from class org.netbeans.jemmy.TestCompletedException
`getStatus`

Methods inherited from class org.netbeans.jemmy.JemmyException
`getInnerException, getInnerThrowable, getObject, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DemoInterruptedException

    public DemoInterruptedException(java.lang.String description)

  Constructs a DemoInterruptedException object.
  Parameters:
    `description` - an exception descriptio.

Method Detail

### printStackTrace

    public void printStackTrace()

  Description copied from class: `JemmyException`
  Prints stack trace into System.out.
  Overrides:
    `printStackTrace` in class `JemmyException`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Description copied from class: `JemmyException`
  Prints stack trace.
  Overrides:
    `printStackTrace` in class `JemmyException`
  Following copied from class: `org.netbeans.jemmy.JemmyException`
  Parameters:
    `ps` - PrintStream to print stack trace into.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD